RubyMotion (en cours d’écriture)

Je note ici les choses que j’installe pour utiliser RubyMotion, pour l’instant je note en vrac, j’écrirais au propre lorsque j’aurais un truc qui fonctionne

pour installer cocoapods

sudo gem install cocoapods 
pod setup
sudo gem install motion-cocoapods

grace à ça il est possible d'utiliser les bibliotheques Cocoa

exemple si je veux utiliser xmlrpc (que j'ai trouvé sur le site 
cocoapods.org) je rajoute juste dans le rakefile du projet

require 'motion/project'
require 'motion-cocoapods'  

Motion::Project::App.setup do |app|
  # Use `rake config' to see complete project settings.
  app.pods do
    pod  'xmlrpc'
  end
  
  app.name = 'Open'
end

 

 

Cet article a été publié dans RubyMotion. Ajoutez ce permalien à vos favoris.

Votre commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l’aide de votre compte WordPress.com. Déconnexion /  Changer )

Photo Google

Vous commentez à l’aide de votre compte Google. Déconnexion /  Changer )

Image Twitter

Vous commentez à l’aide de votre compte Twitter. Déconnexion /  Changer )

Photo Facebook

Vous commentez à l’aide de votre compte Facebook. Déconnexion /  Changer )

Connexion à %s